[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1065 - in glibc-package/trunk/debian: . patches



Author: schizo
Date: 2005-12-17 15:35:23 +0000 (Sat, 17 Dec 2005)
New Revision: 1065

Added:
   glibc-package/trunk/debian/patches/divdi3-moddi3.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
  * Add patch from Anton Blanchard to fix build failures with
    "__moddi3" and friends being already defined on i386
    and powerpc (Closes: #339415).


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-12-17 15:29:13 UTC (rev 1064)
+++ glibc-package/trunk/debian/changelog	2005-12-17 15:35:23 UTC (rev 1065)
@@ -1,5 +1,9 @@
 glibc (2.3.5-9) unstable; urgency=low
 
+  [ Daniel Jacobowitz ]
+  * Downgrade priority of amd64 libraries on i386.
+  * Move packages from base to libs.
+
   [ Clint Adams ]
   * Remove sparc64 TLS patch, and disable TLS for sparc64 build
     (Closes: #340835, #341514).
@@ -11,13 +15,12 @@
     defined on powerpc (Closes: #343571).
   * Replace amd64 sem_trywait patch from Kurt Roeckx's NMU with
     fix from upstream glibc CVS (Closes: #339389).
+  * Add patch from Anton Blanchard to fix build failures with
+    "__moddi3" and friends being already defined on i386
+    and powerpc (Closes: #339415).
 
-  [ Daniel Jacobowitz ]
-  * Downgrade priority of amd64 libraries on i386.
-  * Move packages from base to libs.
+ -- Clint Adams <schizo@debian.org>  Sat, 17 Dec 2005 10:33:38 -0500
 
- -- Daniel Jacobowitz <dan@debian.org>  Sun, 13 Nov 2005 00:10:20 -0500
-
 glibc (2.3.5-8.1) unstable; urgency=low
 
   * Non-maintainer upload.

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-12-17 15:29:13 UTC (rev 1064)
+++ glibc-package/trunk/debian/patches/00list	2005-12-17 15:35:23 UTC (rev 1065)
@@ -93,3 +93,4 @@
 sparc-socket-weakalias
 powerpc-socket-weakalias
 amd64-semtrywait-weakalias
+divdi3-moddi3

Added: glibc-package/trunk/debian/patches/divdi3-moddi3.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/divdi3-moddi3.dpatch	2005-12-17 15:29:13 UTC (rev 1064)
+++ glibc-package/trunk/debian/patches/divdi3-moddi3.dpatch	2005-12-17 15:35:23 UTC (rev 1065)
@@ -0,0 +1,48 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Fix __u?divdi3/__u?moddi3 failure on i386 and powerpc
+# DP: Related bugs: 
+# DP: Dpatch author: Clint Adams
+# DP: Patch author: Upstream CVS
+# DP: Upstream status: Committed
+# DP: Status Details:
+# DP: Date: 2005-12-16
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+
+--- sysdeps/wordsize-32/Makefile~	2002-09-19 01:47:56.000000000 -0500
++++ sysdeps/wordsize-32/Makefile	2005-11-16 13:19:03.000000000 -0600
+@@ -2,5 +2,6 @@
+ ifeq (yes,$(build-shared))
+ sysdep_routines += divdi3
+ shared-only-routines += divdi3
++CPPFLAGS-divdi3.c = -Din_divdi3_c
+ endif
+ endif
+--- sysdeps/wordsize-32/symbol-hacks.h~	2004-03-08 14:59:34.000000000 -0600
++++ sysdeps/wordsize-32/symbol-hacks.h	2005-11-16 13:18:25.000000000 -0600
+@@ -22,7 +22,7 @@
+    therefore we get PLTs.  Unnecessarily so.  Changing gcc is a big
+    task which might not be worth it so we play tricks with the
+    assembler.  */
+-#if !defined __ASSEMBLER__ && !defined NOT_IN_libc && defined SHARED
++#if !defined __ASSEMBLER__ && !defined in_divdi3_c && !defined NOT_IN_libc && defined SHARED
+ asm ("__divdi3 = __divdi3_internal");
+ asm ("__udivdi3 = __udivdi3_internal");
+ asm ("__moddi3 = __moddi3_internal");


Property changes on: glibc-package/trunk/debian/patches/divdi3-moddi3.dpatch
___________________________________________________________________
Name: svn:executable
   + *



Reply to: